
package de.ivu.elect.business.ergebnis.control;

import de.ivu.elect.business.ergebnis.boundary.ErgebnisDateiQuelle;
import de.ivu.elect.business.ergebnis.entity.Ergebnisart;
import de.ivu.elect.business.wahl.entity.Wahl;

public class StimmenImportContext extends AbstractErgebnisImportContext {

  private static final long serialVersionUID = 1L;

  @Deprecated
  public boolean importierenMitKumulieren;

  public StimmenImportContext(Wahl wahl, ErgebnisDateiQuelle ergebnisDateiQuelle, Ergebnisart ergebnisart) {
    this(wahl, ergebnisDateiQuelle, ergebnisart, false);
  }

  public StimmenImportContext(Wahl wahl, ErgebnisDateiQuelle ergebnisDateiQuelle, Ergebnisart ergebnisart, boolean importierenMitKumulieren) {
    super(wahl, ergebnisDateiQuelle, ergebnisart);

    this.importierenMitKumulieren = importierenMitKumulieren;
  }

  @Deprecated // nur für Destatis relevant
  public boolean isImportierenMitKumulieren() {
    return importierenMitKumulieren;
  }

  @Deprecated // nur für Destatis relevant
  public void setImportierenMitKumulieren(boolean importierenMitKumulieren) {
    this.importierenMitKumulieren = importierenMitKumulieren;
  }
}
